public class library
{
String name;
int number_of_books;
book list[];

public library(String kname,book klist[])
{name=kname;
 number_of_books=klist.length;
 list=new book[number_of_books];
 for(int book_number=0;book_number<number_of_books;book_number++)
 {list[book_number]=klist[book_number];}
}


 public String toString()
 {	 String s="Library name : "+name+"\n";
     s+="Total number of books : "+number_of_books+"\n\n";
     for(int book_number=0;book_number<number_of_books;book_number++)
     {s+=list[book_number].toString()+"\n";}	 
     return s;
 }

}